Summary: A WCCP Server Daemon.
Name: wccpd
Version: 0.2
Release: 1
Copyright: GPL
Group: System Environment/Daemons
Source: wccpd-0.2.tar.gz
BuildRoot: /tmp/wccpd-root
URL: http://wccpd.sourceforge.net/
Requires: ipvsadm, bc

%description
The WCCP (Web Cache Coordination Protocol) provides a method to coordinate a
farm of Web Caches from a central router.  It allows transparent redirection
based on reachability.

%prep
%setup
rm -rf $RPM_BUILD_ROOT

%build
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/libexec/wccpd
install -o root -g root -m 755 contrib/linux-ipvs/scripts/* $RPM_BUILD_ROOT/usr/libexec/wccpd
install -d $RPM_BUILD_ROOT/etc/sysconfig
install -o root -g root -m 644 contrib/linux-ipvs/config $RPM_BUILD_ROOT/etc/sysconfig/wccpd
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -o root -g root -m 755 contrib/linux-ipvs/wccpd.sh $RPM_BUILD_ROOT/etc/rc.d/init.d/wccpd

%post
/sbin/chkconfig --add wccpd

%preun
if [ $1 = 0 ]; then
	/sbin/service wccpd stop > /dev/null 2>&1
	/sbin/chkconfig --del wccpd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/sbin/wccpd
/usr/man/man8/wccpd.8.gz
/usr/libexec/wccpd
%config /etc/sysconfig/wccpd
%config /etc/rc.d/init.d/wccpd
%doc AUTHORS ChangeLog COPYING INSTALL INSTALL.Linux NEWS README
%doc contrib/linux-ipvs/patches
